%def_without static

%define module_name             rtai
%define module_version          3.2
%define module_release          alt1

%define kversion                2.4.29
%define krelease                alt1
%define flavour                 rt-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.1

Summary: The Real-Time Application Interface
License: GPL
Group: System/Kernel and hardware
URL: http://www.rtai.org

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

These are modules for your ALT Linux system.

%package -n %module_name-docs
Version: %module_version
Summary: The Real-Time Application Interface - HTML documentation
License: GPL
Group: Development/C

%description -n %module_name-docs
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

This package contains RTAI API reference manual in HTML format.

%package -n lib%module_name
Version: %module_version
Summary: The Real-Time Application Interface - shared libraries
License: GPL
Group: Development/C

%description -n lib%module_name
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

This package contains RTAI shared libraries.

%package -n lib%module_name-devel
Version: %module_version
Summary: The Real-Time Application Interface - development
License: GPL
Group: Development/C
Requires: lib%module_name = %module_version-%release

%description -n lib%module_name-devel
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

This package contains RTAI development files.

%package -n lib%module_name-devel-static
Version: %module_version
Summary: The Real-Time Application Interface - static libraries
License: GPL
Group: Development/C
Requires: lib%module_name-devel = %module_version-%release

%description -n lib%module_name-devel-static
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

This package contains RTAI static libraries.

%package -n %module_name-testsuite
Version: %module_version
Summary: The Real-Time Application Interface - test suite
License: GPL
Group: Development/C
Requires: lib%module_name

%description -n %module_name-testsuite
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

This package contains RTAI test suite.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
export CC=gcc-$GCC_VERSION
%configure \
    --enable-testsuite \
    --enable-dox-doc \
    --disable-dbx \
    %{subst_enable static} \
    --enable-sched-up \
    --enable-sched-lxrt \
    --disable-comedi-lxrt \
    --enable-serial \
    --enable-latex-doc \
    --enable-module-debug \
    --enable-user-debug \
    --disable-sim \
    --disable-rtailab \
    --with-linux-dir=%_usrsrc/linux-%kversion-%flavour \
    --with-module-dir=%module_dir
%__make CC=gcc-$GCC_VERSION KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%make_install install DESTDIR=%buildroot calibrationdir=%_libdir/rtai/calibration

%__mv %buildroot%_prefix/testsuite %buildroot%_libdir/rtai/

find testsuite -name README -exec %__install -m644 {} %buildroot%_libdir/rtai/{} \;
#find testsuite -name README -exec echo "%doc %_libdir/rtai/{}" \; > testsuite.readmes

# clean up default docs
%__rm -fR %buildroot%_defaultdocdir/rtai-magma

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%files -n lib%module_name
%_bindir/*
%_libdir/*.so.*
%dir %_libdir/%module_name
%_datadir/%module_name

%files -n lib%module_name-devel
%_libdir/*.so
%_includedir/*.h
%_includedir/asm-i386/*.h

%if_enabled static
%files -n lib%module_name-devel-static
%_libdir/*.a
%endif

%files -n %module_name-docs
%doc doc/generated/html doc/maintainers/* doc/User-Manual.txt

%files -n %module_name-testsuite
%_libdir/%module_name/testsuite
%_libdir/%module_name/calibration

%changelog
* Mon Jan 31 2005 Grigory Batalov <bga@altlinux.ru> 3.2-alt1.1
- Initial build for ALT Linux (rtai-3.2-test1)
